gtkmm: Gtk::StockItem Class Reference

gtkmm 3.24.10

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Symbols | List of all members
Gtk::StockItem Class Reference

`#include <gtkmm/stockitem.h>`

## Public Member Functions
| StockItem ()
| Constructs an invalid object.
| StockItem (GtkStockItem * castitem, bool make_a_copy=false)
| StockItem (const StockItem & src)
StockItem & | operator= (const StockItem & src)
| StockItem (StockItem && other) noexcept
StockItem & | operator= (StockItem && other) noexcept
| ~StockItem () noexcept
void | swap (StockItem & other) noexcept
GtkStockItem * | gobj ()
const GtkStockItem * | gobj () const
GtkStockItem * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| StockItem (const Gtk::StockID & stock_id, const Glib::ustring & label, Gdk::ModifierType modifier=Gdk::ModifierType(0), unsigned int keyval=0, const Glib::ustring & translation_domain=Glib::ustring())
StockID | get_stock_id () const
Glib::ustring | get_label () const
Gdk::ModifierType | get_modifier () const
guint | get_keyval () const
Glib::ustring | get_translation_domain () const

## Static Public Member Functions
static bool | lookup (const Gtk::StockID & stock_id, Gtk::StockItem & item)

## Protected Attributes
GtkStockItem * | gobject_

## Related Symbols
(Note that these are not member symbols.)
void | swap (StockItem & lhs, StockItem & rhs) noexcept
Gtk::StockItem | wrap (GtkStockItem * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Deprecated
  Use icon names instead of StockItem, StockID and BuiltinStockID.

Key values are the codes which are sent whenever a key is pressed or released. The complete list of key values can be found in the gdk/gdkkeysyms.h header file. They are prefixed with GDK_KEY_.

## Constructor & Destructor Documentation

## ◆ StockItem() [1/5]

Gtk::StockItem::StockItem | ( |  | ) |

Constructs an invalid object.

E.g. for output arguments to methods. There is not much you can do with the object before it has been assigned a valid value.

## ◆ StockItem() [2/5]

Gtk::StockItem::StockItem | ( | GtkStockItem * | castitem,
|  | bool | make_a_copy = false )
| explicit

## ◆ StockItem() [3/5]

Gtk::StockItem::StockItem | ( | const StockItem & | src | ) |

## ◆ StockItem() [4/5]

Gtk::StockItem::StockItem | ( | StockItem && | other | ) |
| noexcept

## ◆ ~StockItem()

Gtk::StockItem::~StockItem | ( |  | ) |
| noexcept

## ◆ StockItem() [5/5]

Gtk::StockItem::StockItem | ( | const Gtk::StockID & | stock_id,
|  | const Glib::ustring & | label,
|  | Gdk::ModifierType | modifier = Gdk::ModifierType(0),
|  | unsigned int | keyval = 0,
|  | const Glib::ustring & | translation_domain = Glib::ustring() )

## Member Function Documentation

## ◆ get_keyval()

guint Gtk::StockItem::get_keyval | ( |  | ) | const

## ◆ get_label()

Glib::ustring Gtk::StockItem::get_label | ( |  | ) | const

## ◆ get_modifier()

Gdk::ModifierType Gtk::StockItem::get_modifier | ( |  | ) | const

## ◆ get_stock_id()

StockID Gtk::StockItem::get_stock_id | ( |  | ) | const

## ◆ get_translation_domain()

Glib::ustring Gtk::StockItem::get_translation_domain | ( |  | ) | const

## ◆ gobj() [1/2]

GtkStockItem * Gtk::StockItem::gobj | ( |  | ) |
| inline

## ◆ gobj() [2/2]

const GtkStockItem * Gtk::StockItem::gobj | ( |  | ) | const
| inline

## ◆ gobj_copy()

GtkStockItem * Gtk::StockItem::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

## ◆ lookup()

bool Gtk::StockItem::lookup | ( | const Gtk::StockID & | stock_id,
|  | Gtk::StockItem & | item )
| static

## ◆ operator=() [1/2]

StockItem & Gtk::StockItem::operator= | ( | const StockItem & | src | ) |

## ◆ operator=() [2/2]

StockItem & Gtk::StockItem::operator= | ( | StockItem && | other | ) |
| noexcept

## ◆ swap()

void Gtk::StockItem::swap | ( | StockItem & | other | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ swap()

void swap | ( | StockItem & | lhs,
|  | StockItem & | rhs )
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

## ◆ wrap()

Gtk::StockItem wrap | ( | GtkStockItem * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ gobject_

GtkStockItem* Gtk::StockItem::gobject_
| protected